Bug 28413 - Сломалось
: Сломалось
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/osec)
: unstable
: all Linux
: P3 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2013-01-21 20:19 by
Modified: 2013-02-13 08:18 (History)


Attachments
Лог обновлений (827 bytes, application/x-bzip2)
2013-01-21 20:19, Evgenii Terechkov
no flags Details
Отчёт system-report (118.13 KB, application/x-bzip2)
2013-01-22 02:40, Evgenii Terechkov
no flags Details
Отчет osec (317.75 KB, text/x-log)
2013-01-22 05:31, Evgenii Terechkov
no flags Details
Второй отчет osec (317.52 KB, text/x-log)
2013-01-22 05:32, Evgenii Terechkov
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2013-01-21 20:19:45
Created an attachment (id=5713) [details]
Лог обновлений

После вчерашнего обновления сегодня вместо отчёта osec в полночь пришло это:
============================================================
Cron Daemon <root@evg-krsk.dyndns.org> (16 mins. ago) (inbox year_2013)
Subject: Cron <root@thinkpad> /usr/share/osec/osec.cron
To: root@evg-krsk.dyndns.org
Date: Tue, 22 Jan 2013 00:00:01 +0800

osec: /bin: osec_field(odata): Unable to get 'xattr' from database value
Program exited abnormally, exit code = 1
============================================================
------- Comment #1 From 2013-01-22 00:21:06 -------
Какая у вас там файловая система ?
Есть ли у вас selinux ?
------- Comment #2 From 2013-01-22 02:37:55 -------
udevfs on /dev type devtmpfs (rw,relatime,size=5120k,nr_inodes=480963,mode=755)
runfs on /run type tmpfs (rw,relatime,size=5120k,mode=755)
/dev/mapper/thinkpad-root on / type ext4
(rw,relatime,discard,errors=remount-ro,data=ordered)
proc on /proc type proc (rw,relatime)
sysfs on /sys type sysfs (rw,relatime)
devpts on /dev/pts type devpts
(rw,nosuid,noexec,relatime,gid=5,mode=620,ptmxmode=000)
shmfs on /dev/shm type tmpfs (rw,relatime)
tmpfs on /tmp type tmpfs (rw,nosuid,relatime)
/dev/sda1 on /boot type ext4 (rw,relatime,discard,data=ordered)
/dev/mapper/thinkpad-home on /home type ext4
(rw,relatime,discard,errors=remount-ro,data=ordered)
tmpfs on /sys/fs/cgroup type tmpfs (rw,nosuid,nodev,noexec,relatime)
rpc_pipefs on /var/lib/nfs/rpc_pipefs type rpc_pipefs (rw,relatime)
/etc/auto.nas on /mnt/nas type autofs
(rw,relatime,fd=6,pgrp=22417,timeout=60,minproto=5,maxproto=5,indirect)

Нет, selinux не используется.
------- Comment #3 From 2013-01-22 02:40:41 -------
Created an attachment (id=5714) [details]
Отчёт system-report
------- Comment #4 From 2013-01-22 03:23:48 -------
Не могли бы вы проверить новую сборку?

http://git.altlinux.org/repo/88341/

Только просьба дважды /usr/share/osec/osec.cron . Первый раз база должна быть
конвертирована, второй раз выполнена проверка по новым базам.
------- Comment #5 From 2013-01-22 05:04:03 -------
~#/usr/share/osec/osec.cron
osec: osec_field: Unable to parse field
Program exited abnormally, exit code = 1
~#/usr/share/osec/osec.cron
osec: osec_field: Unable to parse field
Program exited abnormally, exit code = 1
~#rpm -qa|grep osec
osec-1.2.5-alt2
osec-mailreport-1.2.5-alt2
osec-cronjob-1.2.5-alt2
------- Comment #6 From 2013-01-22 05:31:31 -------
Created an attachment (id=5715) [details]
Отчет osec

Хотя в stderr и ругается, отчеты вроде бы нормализовались.
------- Comment #7 From 2013-01-22 05:32:37 -------
Created an attachment (id=5716) [details]
Второй отчет osec
------- Comment #8 From 2013-01-22 14:15:10 -------
У меня два вопроса:

У вас есть другие машинки и воспроизводится ли на них эта бага ?
Откат на старую версию помогает ?
------- Comment #9 From 2013-01-23 08:46:55 -------
Да, на работе (там аналогичная система, только i586) воспроизводится:

osec: /bin: osec_field(odata): Unable to get 'xattr' from database value
Program exited abnormally, exit code = 1

Да, откат помогает на обоих машинах.
------- Comment #10 From 2013-01-24 00:43:54 -------
Воспроизвёл "Unable to get 'xattr' from database value" на osec-1.2.5-alt1.
Воспроизвести проблему при osec-1.2.4-alt3 -> osec-1.2.5-alt2 не получается.
------- Comment #11 From 2013-02-13 08:17:51 -------
Seems fixed in 1.2.5-alt3